%define upstream_name	 POE-Component-Server-SOAP
%define	upstream_version 1.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Publish POE event handlers via SOAP over HTTP
License:    Artistic and GPL+	
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POE)
BuildRequires: perl(POE::Component::Server::SimpleHTTP) >= 1.540.0
BuildRequires: perl(POE::Session)
BuildRequires: perl(SOAP::Constants)
BuildRequires: perl(SOAP::Lite) >= 0.550.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module makes serving SOAP/1.1 requests a breeze in POE.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes n | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README examples
%{perl_vendorlib}/POE
%{_mandir}/man3/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.140.0-10.mga8
+ Revision: 1496879
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.140.0-9.mga7
+ Revision: 1270861
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.140.0-8.mga6
+ Revision: 1032557
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.140.0-7.mga6
+ Revision: 944893
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.140.0-6.mga5
+ Revision: 746067
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.140.0-5.mga5
+ Revision: 733323
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.140.0-4.mga5
+ Revision: 685825
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.140.0-3.mga4
+ Revision: 513802
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.140.0-2.mga3
+ Revision: 371270
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 pterjan <pterjan> 1.140.0-1.mga3
+ Revision: 315370
- imported package perl-POE-Component-Server-SOAP

